Subject: bug#31650: closed (Re: bug#31650: 26.1; Desktop mode adds wm stickiness to emacs windows.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 02 Jun 2018 09:14:02 +0000

Your bug report

#31650: 26.1; Desktop mode adds wm stickiness to emacs windows.

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
31650: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=31650
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#31650: 26.1; Desktop mode adds wm stickiness to emacs windows.
From: martin rudalics <[email-masked]>
To: Rolf Ade <[email-masked]>
Cc: [email-masked]
Date: Sat, 02 Jun 2018 11:13:23 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

 > I build fvwm2 2.6.8 this morning, which was released 2 days ago and,
 > after some struggle, have this running now. And ... it doesn't has the
 > (mis-)behaviour of fvwm2 2.6.4.
 >
 > With this version
 >
 > (set-frame-parameter nil 'sticky nil)
 >
 > has no effect on a non-sticky emacs.
 >
 > (set-frame-parameter nil 'sticky t)
 >
 > makes the frame sticky, and
 >
 > (set-frame-parameter nil 'sticky nil)
 >
 > makes it unsticky again.
 >
 > As it should be. In turn emacs with enabled desktop-mode doesn't put my
 > emacs frame into sticky mode anymore at start-up. So, the root of the
 > reported problem seems to be a bug in some or at least one (2.6.4) past
 > fvwm2 version.

Great.  I added a corresponding entry for this to etc/PROBLEMS.

 > Case settled. Many thanks for replying and ...
 >
 > I'm sorry for the noise ...

On the contrary it's always good to inform about such misbehaviors.

Thanks, martin (closing this bug)

Subject: 26.1; Desktop mode adds wm stickiness to emacs windows.
From: Rolf Ade <[email-masked]>
To: [email-masked]
Date: Wed, 30 May 2018 03:12:19 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I've

(desktop-save-mode 1)

in my init.el. This works fine for rare occasions is restart emacs.
Though, after restart, I not only find all my files open but the eamcs
window "sticky" speaking in windows manager terms, meaning if I jump to
another virtual desktop, my emacs windwos will "follow" me.

The emacs window wasn't in this state at the last
save-buffers-kill-terminal call. It doesn't have this state if I start
emacs -Q. It's  desktop-save-mode, that put my emacs window into this
state.

It's a minor nuisance, no doubt, but it's clearly wrong.

I'm using GNU Emacs 26.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version
 2.24.10) of 2018-05-29 built on linux-qg7d Repository revision:
 07f8f9bc5a51f5aa94eb099f3e15fbe0c20ea1ea Windowing system distributor
 'The X.Org Foundation', version 11.0.11203000 (x86_64) and as windows
 manager fvwm 2.6.